Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task
Enum Gender

    java.lang.Object
      java.lang.Enum<Gender>
          org.eclipse.emf.ecp.makeithappen.model.task.Gender

All Implemented Interfaces:
  Serializable, Comparable<Gender>, org.eclipse.emf.common.util.Enumerator

    public enum Gender

extends Enum<Gender>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Gender', and utility methods for working with them.

See Also:
  `TaskPackage.getGender()`

Enum Constant Summary
`FEMALE` The 'Female' literal object.
`MALE` The 'Male' literal object.

Field Summary
`static int` | `FEMALE_VALUE` The 'Female' literal value.
`static int` | `MALE_VALUE` The 'Male' literal value.
`static List<Gender>` | `VALUES` A public read-only list of all the 'Gender' enumerators.

Method Summary
`static Gender` | `get(int value)` Returns the 'Gender' literal with the specified integer value.
`static Gender` | `get(String literal)` Returns the 'Gender' literal with the specified literal value.
`static Gender` | `getByName(String name)` Returns the 'Gender' literal with the specified name.
`String` | `getLiteral()`
`String` | `getName()`
`int` | `getValue()`
`String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Gender` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Gender[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MALE

    public static final Gender MALE

  The 'Male' literal object.

  See Also:
    `MALE_VALUE`

### FEMALE

    public static final Gender FEMALE

  The 'Female' literal object.

  See Also:
    `FEMALE_VALUE`

Field Detail

### MALE_VALUE

    public static final int MALE_VALUE

  The 'Male' literal value.

  If the meaning of 'Male' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MALE`, Constant Field Values

### FEMALE_VALUE

    public static final int FEMALE_VALUE

  The 'Female' literal value.

  If the meaning of 'Female' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FEMALE`, Constant Field Values

### VALUES

    public static final List<Gender> VALUES

  A public read-only list of all the 'Gender' enumerators.

Method Detail

### values

    public static Gender[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gender c : Gender.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gender valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Gender get(String literal)

  Returns the 'Gender' literal with the specified literal value.

### getByName

    public static Gender getByName(String name)

  Returns the 'Gender' literal with the specified name.

### get

    public static Gender get(int value)

  Returns the 'Gender' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<Gender>`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015. All Rights Reserved.